Bug 111154 - openssl prevents up2date and yum from running
openssl prevents up2date and yum from running
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: openssl (Show other bugs)
1.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-28 10:48 EST by Paul Morgan
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.9.7a-26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-30 09:45:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
openssl-krb5.patch (461 bytes, patch)
2003-11-28 12:57 EST, Tim Waugh
no flags Details | Diff

  None (edit)
Description Paul Morgan 2003-11-28 10:48:36 EST
Description of problem:
after installing openssl-0.9.7a-25*.rpm from
fedora-update-development, up2date and yum error out with:
"ImportError: /lib/libssl.so.4: undefined symbol: krb5_get_credentials"
also: rpm -V openssl reports "missing    /usr/share/ssl/CA/private"

Version-Release number of selected component (if applicable):
openssl-0.9.7a-25

How reproducible:
confirmed by at least one other person on fedora-list

Steps to Reproduce:
1. run up2date and install the rpm from rawhide (fedora-core-development)
2. prelink -a
3. try to run up2date again
  
Actual results:
up2date (and yum) fail with "ImportError: /lib/libssl.so.4: undefined
symbol: krb5_get_credentials"
also: rpm -V openssl reports "missing    /usr/share/ssl/CA/private"

Expected results:
yum and up2date should run as expected.

Additional info:
fixed by running rpm --force using the openssl-0.9.7a-25*.rpm packages
from fedora core base followed by prelink -a
up2date then runs normally.
Comment 1 Paul Morgan 2003-11-28 10:51:59 EST
(copy-and-paste error in original info)
CORRECTION: fixed...using the openssl-0.9.7a-23*.rpm packages...
Comment 2 Tim Waugh 2003-11-28 12:57:27 EST
Created attachment 96242 [details]
openssl-krb5.patch

This patch fixed the problem for me.
Comment 3 Tim Waugh 2003-11-28 12:58:44 EST
The build log was showing that SHLIBDIRS was "crypto ssl" at the point
that libssl.so.0.9.7 was incorrectly relinked without -lkrb5.  The
patch tests for "ssl" anywhere in $SHLIBDIRS, rather than directly
comparing with "ssl".
Comment 4 Tim Waugh 2003-11-30 09:45:00 EST
Fixed package is openssl-0.9.7a-26.

Note You need to log in before you can comment on or make changes to this bug.